@import "header.css";
@import "../fonts/fonts.css";

html {
    font-size: 16px;
}

body,
ul,
li,
p,
a {
    margin: 0;
    padding: 0;
    list-style: none;
    font-family: 'PingFang', rial, Microsoft YaHei, sans-serif;
}


a {
    text-decoration: none;
}

* {
    outline: none;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

img {
    vertical-align: middle;
}

textarea::placeholder {
    font-family: Arial, Microsoft YaHei, sans-serif;
}

textarea {
    font-family: Arial, Microsoft YaHei, sans-serif;
}


.mob {
    display: none !important;
}

.mob-flex {
    display: none !important;
}

.pic img {
    display: block;
    border: none;
    width: 100%;
    max-width: 100%;
}

.hpic img {
    display: block;
    border: none;
    width: auto;
    max-width: 100%;
    height: 100%;
}

.bg {
    width: 100%;
    height: 100%;
}

.bg img {
    display: block;
    border: none;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    max-width: 100%;
}

.icon img {
    display: block;
    border: none;
    width: 100%;
    max-width: 100%;
}

.scaleImg {
    cursor: pointer;
}

.scaleImg .pic {
    overflow: hidden;
}

.scaleImg .pic img {
    -webkit-transition: all linear 0.6s;
    -o-transition: all linear 0.6s;
    -moz-transition: all linear 0.6s;
    transition: all linear 0.6s;
}

.scaleImg:hover .pic img {
    -webkit-transform: scale(1.05);
    -moz-transform: scale(1.05);
    -o-transform: scale(1.05);
    transform: scale(1.05);
}

.scaleImg .bg {
    overflow: hidden;
}

.scaleImg .bg img {
    -webkit-transition: all linear 0.6s;
    -o-transition: all linear 0.6s;
    -moz-transition: all linear 0.6s;
    transition: all linear 0.6s;
}

.scaleImg:hover .bg img {
    -webkit-transform: scale(1.05);
    -moz-transform: scale(1.05);
    -o-transform: scale(1.05);
    transform: scale(1.05);
}


.flex {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.flex-xc {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -moz-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.flex-xb {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -moz-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.flex-xa {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-justify-content: space-around;
    -ms-flex-pack: distribute;
    justify-content: space-around;
}

.flex-xb-yc {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -moz-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -moz-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.flex-xend {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: end;
    -webkit-justify-content: flex-end;
    -moz-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

.flex-yc {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -moz-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.flex-column-yc {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -moz-box-orient: vertical;
    -moz-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -moz-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.flex-column-end {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -moz-box-orient: vertical;
    -moz-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: end;
    -webkit-justify-content: flex-end;
    -moz-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

.flex-xc-yc {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -moz-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -moz-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.flex-column {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -moz-box-orient: vertical;
    -moz-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}

.gdt {
    overflow: auto;
}

.gdt::-webkit-scrollbar {
    width: 4px;
    height: 1px;
}

.gdt::-webkit-scrollbar-thumb {
    background: var(--color);
}

.gdt::-webkit-scrollbar-track {
    background: #fff;
}

.user-mode {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 50;
    background: rgba(0, 0, 0, 0.4);
    color: #000;
    font-size: 16px;
    display: none;
}

.user-mode.on {
    display: flex;
    animation: fadeIn 1s ease forwards;
}

.user-wrap {
    width: 500px;
    border-radius: 15px;
    background: #FFF;
    max-height: 80vh;
    overflow: auto;
}

.user-login {
    padding: 82px 84px 45px;
}

.user-mode .t1 {
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 36px;
    text-align: center;
}

.user-mode .ev {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 35px;
    position: relative;
}

.user-mode .input-error input {
    border-color: #ff0000 !important;
}

.user-mode .ev.hide {
    display: none;
}

.user-mode .ev .icon {
    width: 22px;
    margin-right: 10px;
}

.user-mode .ev input {
    flex: 1;
    background: transparent;
    border: none;
    font-size: inherit;
    padding: 0 10px;
    border-bottom: 1px solid #000;
}

.user-mode .ev input::placeholder {
    color: #A0A0A0;
}

.user-mode .sec2 {
    position: relative;
}

.user-mode .sub {
    width: 92px;
    height: 26px;
    border: none;
    font-size: inherit;
    border-radius: 6px;
    background: #A0A0A0;
    color: #fff;
    cursor: pointer;
}

.user-mode .switch-login-type {
    color: #949494;
    font-size: 12px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 62%;
    cursor: pointer;
    user-select: none;
}

.user-mode .sec3 {
    color: #949494;
    font-size: 12px;
    gap: 30px;
    text-align: center;
    margin-top: 30px;
}

.user-mode .sec3 span {
    color: #0360B0;
}

.user-mode .sec3 .btn {
    cursor: pointer;
}

.btn-getcode {
    width: 117px;
    height: 26px;
    border-radius: 6px;
    background: #0060B0;
    color: #fff;
    text-align: center;
    position: absolute;
    right: 0;
    bottom: 0;
    cursor: pointer;
    user-select: none;
    border: none;
}

.btn-getcode:disabled {
    background: #A0A0A0;
    cursor: no-drop;
}

.lightTips {
    font-size: 16px;
    color: #fff;
    background: rgba(0, 0, 0, 0.6);
    padding: 15px 30px;
    position: fixed;
    z-index: 998;
    left: 50%;
    top: 20%;
    transform: translate(-50%, 0);
    transition-property: width, padding, opacity;
    transition-duration: 0.4s;
    transition-timing-function: ease;
    border-radius: 8px;
    box-shadow: 0 0 5px #999;
    pointer-events: none;
}

.unTips {
    color: transparent;
    opacity: 0;
    overflow: hidden;
    padding: 0;
}

@media screen and (max-width:768px) {
    .pc {
        display: none !important;
    }

    .mob {
        display: block !important;
    }

    .mob-flex {
        display: -webkit-box !important;
        display: -webkit-flex !important;
        display: -moz-box !important;
        display: -ms-flexbox !important;
        display: flex !important;
    }

    .user-wrap {
        width: 80%;
    }

    .user-login {
        padding: 45px 5% 45px;
    }

    .user-mode .switch-login-type {
        left: 70%;
    }
}